# Enum Class PyMOLSettings

java.lang.Object
java.lang.Enum<PyMOLSettings>
org.jmol.adapter.readers.pymol.PyMOLSettings

All Implemented Interfaces:
  `Serializable, Comparable<PyMOLSettings>, Constable`

public enum PyMOLSettings extends Enum<PyMOLSettings>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`active_selections`
`alignment_as_cylinders`
`all_states`
`ambient`
`ambient_occlusion_mode`
`ambient_occlusion_scale`
`ambient_occlusion_smooth`
`anaglyph_mode`
`angle_color`
`angle_label_position`
`angle_size`
`animation`
`animation_duration`
`antialias`
`async_builds`
`ati_bugs`
`atom_name_wildcard`
`atom_type_format`
`auto_classify_atoms`
`auto_color`
`auto_color_next`
`auto_copy_images`
`auto_defer_atom_count`
`auto_defer_builds`
`auto_dss`
`auto_hide_selections`
`auto_indicate_flags`
`auto_number_selections`
`auto_overlay`
`auto_remove_hydrogens`
`auto_rename_duplicate_objects`
`auto_sculpt`
`auto_show_lines`
`auto_show_nonbonded`
`auto_show_selections`
`auto_show_spheres`
`auto_zoom`
`autoclose_dialogs`
`backface_cull`
`batch_prefix`
`bg_gradient`
`bg_image_filename`
`bg_image_linear`
`bg_image_mode`
`bg_image_tilesize`
`bg_rgb`
`bg_rgb_bottom`
`bg_rgb_top`
`bonding_vdw_cutoff`
`button_mode`
`button_mode_name`
`cache_display`
`cache_frames`
`cache_max`
`cache_memory`
`cache_mode`
`cartoon_color`
`cartoon_cylindrical_helices`
`cartoon_debug`
`cartoon_discrete_colors`
`cartoon_dumbbell_length`
`cartoon_dumbbell_radius`
`cartoon_dumbbell_width`
`cartoon_fancy_helices`
`cartoon_fancy_sheets`
`cartoon_flat_cycles`
`cartoon_flat_sheets`
`cartoon_helix_radius`
`cartoon_highlight_color`
`cartoon_ladder_color`
`cartoon_ladder_mode`
`cartoon_ladder_radius`
`cartoon_loop_cap`
`cartoon_loop_quality`
`cartoon_loop_radius`
`cartoon_nucleic_acid_as_cylinders`
`cartoon_nucleic_acid_color`
`cartoon_nucleic_acid_mode`
`cartoon_oval_length`
`cartoon_oval_quality`
`cartoon_oval_width`
`cartoon_power`
`cartoon_power_b`
`cartoon_putty_quality`
`cartoon_putty_radius`
`cartoon_putty_range`
`cartoon_putty_scale_max`
`cartoon_putty_scale_min`
`cartoon_putty_scale_power`
`cartoon_putty_transform`
`cartoon_rect_length`
`cartoon_rect_width`
`cartoon_refine`
`cartoon_refine_normals`
`cartoon_refine_tips`
`cartoon_ring_color`
`cartoon_ring_finder`
`cartoon_ring_mode`
`cartoon_ring_radius`
`cartoon_ring_transparency`
`cartoon_ring_width`
`cartoon_round_helices`
`cartoon_sampling`
`cartoon_side_chain_helper`
`cartoon_smooth_cycles`
`cartoon_smooth_first`
`cartoon_smooth_last`
`cartoon_smooth_loops`
`cartoon_throw`
`cartoon_trace_atoms`
`cartoon_transparency`
`cartoon_tube_cap`
`cartoon_tube_quality`
`cartoon_tube_radius`
`cartoon_use_shader`
`cavity_cull`
`cgo_debug`
`cgo_dot_radius`
`cgo_dot_width`
`cgo_ellipsoid_quality`
`cgo_lighting`
`cgo_line_radius`
`cgo_line_width`
`cgo_ray_width_scale`
`cgo_shader_ub_color`
`cgo_shader_ub_flags`
`cgo_shader_ub_normal`
`cgo_sphere_quality`
`cgo_transparency`
`cgo_use_shader`
`clamp_colors`
`clean_electro_mode`
`cone_quality`
`connect_bonded`
`connect_cutoff`
`connect_mode`
`coulomb_cutoff`
`coulomb_dielectric`
`coulomb_units_factor`
`cull_spheres`
`cylinder_shader_ff_workaround`
`cylinders_shader_filter_faces`
`dash_as_cylinders`
`dash_color`
`dash_gap`
`dash_length`
`dash_radius`
`dash_round_ends`
`dash_use_shader`
`dash_width`
`debug_pick`
`default_2fofc_map_rep`
`default_buster_names`
`default_fofc_map_rep`
`default_phenix_names`
`default_phenix_no_fill_names`
`default_refmac_names`
`defer_builds_mode`
`defer_updates`
`depth_cue`
`dihedral_color`
`dihedral_label_position`
`dihedral_size`
`direct`
`dist_counter`
`distance_exclusion`
`dot_as_spheres`
`dot_color`
`dot_density`
`dot_hydrogens`
`dot_lighting`
`dot_mode`
`dot_normals`
`dot_radius`
`dot_solvent`
`dot_use_shader`
`dot_width`
`draw_frames`
`draw_mode`
`dump_binary`
`dynamic_measures`
`dynamic_width`
`dynamic_width_factor`
`dynamic_width_max`
`dynamic_width_min`
`edit_light`
`editor_auto_dihedral`
`editor_auto_origin`
`editor_bond_cycle_mode`
`editor_label_fragments`
`ellipsoid_color`
`ellipsoid_probability`
`ellipsoid_quality`
`ellipsoid_scale`
`ellipsoid_transparency`
`excl_display_lists_shaders`
`fast_idle`
`fetch_host`
`fetch_path`
`field_of_view`
`fit_iterations`
`fit_kabsch`
`fit_tolerance`
`float_labels`
`fog`
`fog_start`
`frame`
`full_screen`
`gamma`
`gaussian_b_adjust`
`gaussian_b_floor`
`gaussian_resolution`
`geometry_export_mode`
`gl_ambient`
`gradient_max_length`
`gradient_min_length`
`gradient_min_slope`
`gradient_normal_min_dot`
`gradient_spacing`
`gradient_step_size`
`gradient_symmetry`
`grid_max`
`grid_mode`
`grid_slot`
`group_arrow_prefix`
`group_auto_mode`
`group_full_member_names`
`h_bond_cone`
`h_bond_cutoff_center`
`h_bond_cutoff_edge`
`h_bond_exclusion`
`h_bond_from_proton`
`h_bond_max_angle`
`h_bond_power_a`
`h_bond_power_b`
`half_bonds`
`hash_max`
`heavy_neighbor_cutoff`
`hide_long_bonds`
`hide_underscore_names`
`idle_delay`
`ignore_case`
`ignore_pdb_segi`
`image_copy_always`
`image_dots_per_inch`
`internal_feedback`
`internal_gui`
`internal_gui_control_size`
`internal_gui_mode`
`internal_gui_width`
`internal_prompt`
`isomesh_auto_state`
`keep_alive`
`label_anchor`
`label_angle_digits`
`label_color`
`label_digits`
`label_dihedral_digits`
`label_distance_digits`
`label_font_id`
`label_outline_color`
`label_placement_offset`
`label_position`
`label_shadow_mode`
`label_size`
`legacy_mouse_zoom`
`legacy_vdw_radii`
`light`
`light_count`
`light2`
`light3`
`light4`
`light5`
`light6`
`light7`
`light8`
`light9`
`line_as_cylinders`
`line_color`
`line_radius`
`line_smooth`
`line_stick_helper`
`line_use_shader`
`line_width`
`log_box_selections`
`log_conformations`
`logging`
`map_auto_expand_sym`
`matrix_mode`
`max_threads`
`max_triangles`
`max_ups`
`mesh_as_cylinders`
`mesh_carve_cutoff`
`mesh_carve_selection`
`mesh_carve_state`
`mesh_clear_cutoff`
`mesh_clear_selection`
`mesh_clear_state`
`mesh_color`
`mesh_cutoff`
`mesh_grid_max`
`mesh_lighting`
`mesh_mode`
`mesh_negative_color`
`mesh_negative_visible`
`mesh_normals`
`mesh_quality`
`mesh_radius`
`mesh_skip`
`mesh_solvent`
`mesh_type`
`mesh_use_shader`
`mesh_width`
`min_mesh_spacing`
`moe_separate_chains`
`motion_bias`
`motion_hand`
`motion_linear`
`motion_power`
`motion_simple`
`mouse_grid`
`mouse_limit`
`mouse_restart_movie_delay`
`mouse_scale`
`mouse_selection_mode`
`mouse_wheel_scale`
`mouse_z_scale`
`movie_animate_by_frame`
`movie_auto_interpolate`
`movie_auto_store`
`movie_delay`
`movie_fps`
`movie_loop`
`movie_panel`
`movie_panel_row_height`
`movie_quality`
`movie_rock`
`multiplex`
`nb_spheres_quality`
`nb_spheres_size`
`nb_spheres_use_shader`
`neighbor_cutoff`
`no_idle`
`nonbonded_as_cylinders`
`nonbonded_size`
`nonbonded_transparency`
`nonbonded_use_shader`
`normal_workaround`
`normalize_ccp4_maps`
`normalize_grd_maps`
`normalize_o_maps`
`nvidia_bugs`
`offscreen_rendering_for_antialiasing`
`offscreen_rendering_multiplier`
`opaque_background`
`orthoscopic`
`overlay`
`overlay_lines`
`pdb_conect_all`
`pdb_discrete_chains`
`pdb_echo_tags`
`pdb_formal_charges`
`pdb_hetatm_guess_valences`
`pdb_hetatm_sort`
`pdb_honor_model_number`
`pdb_ignore_conect`
`pdb_insertions_go_first`
`pdb_insure_orthogonal`
`pdb_literal_names`
`pdb_no_end_record`
`pdb_reformat_names_mode`
`pdb_retain_ids`
`pdb_standard_order`
`pdb_truncate_residue_name`
`pdb_unbond_cations`
`pdb_use_ter_records`
`pickable`
`png_file_gamma`
`png_screen_gamma`
`polar_neighbor_cutoff`
`power`
`pqr_workarounds`
`presentation`
`presentation_auto_quit`
`presentation_auto_start`
`presentation_mode`
`preserve_chempy_ids`
`pymol_space_max_blue`
`pymol_space_max_green`
`pymol_space_max_red`
`pymol_space_min_factor`
`raise_exceptions`
`ramp_blend_nearby_colors`
`rank_assisted_sorts`
`ray_blend_blue`
`ray_blend_colors`
`ray_blend_green`
`ray_blend_red`
`ray_clip_shadows`
`ray_color_ramps`
`ray_default_renderer`
`ray_direct_shade`
`ray_hint_camera`
`ray_hint_shadow`
`ray_improve_shadows`
`ray_interior_color`
`ray_interior_mode`
`ray_interior_reflect`
`ray_interior_shadows`
`ray_interior_texture`
`ray_label_specular`
`ray_legacy_lighting`
`ray_max_passes`
`ray_opaque_background`
`ray_orthoscopic`
`ray_oversample_cutoff`
`ray_pixel_scale`
`ray_scatter`
`ray_shadow_decay_factor`
`ray_shadow_decay_range`
`ray_shadow_fudge`
`ray_shadows`
`ray_spec_local`
`ray_texture`
`ray_texture_settings`
`ray_trace_color`
`ray_trace_depth_factor`
`ray_trace_disco_factor`
`ray_trace_fog`
`ray_trace_fog_start`
`ray_trace_frames`
`ray_trace_gain`
`ray_trace_mode`
`ray_trace_persist_cutoff`
`ray_trace_slope_factor`
`ray_trace_trans_cutoff`
`ray_transparency_contrast`
`ray_transparency_oblique`
`ray_transparency_oblique_power`
`ray_transparency_shadows`
`ray_transparency_spec_cut`
`ray_transparency_specular`
`ray_triangle_fudge`
`ray_volume`
`reflect`
`reflect_power`
`render_as_cylinders`
`retain_order`
`ribbon_as_cylinders`
`ribbon_color`
`ribbon_nucleic_acid_mode`
`ribbon_power`
`ribbon_power_b`
`ribbon_radius`
`ribbon_sampling`
`ribbon_side_chain_helper`
`ribbon_smooth`
`ribbon_throw`
`ribbon_trace_atoms`
`ribbon_transparency`
`ribbon_use_shader`
`ribbon_width`
`robust_logs`
`rock`
`rock_delay`
`roving_byres`
`roving_cartoon`
`roving_delay`
`roving_detail`
`roving_isomesh`
`roving_isosurface`
`roving_labels`
`roving_lines`
`roving_map1_level`
`roving_map1_name`
`roving_map2_level`
`roving_map2_name`
`roving_map3_level`
`roving_map3_name`
`roving_nb_spheres`
`roving_nonbonded`
`roving_origin`
`roving_origin_z`
`roving_origin_z_cushion`
`roving_polar_contacts`
`roving_polar_cutoff`
`roving_ribbon`
`roving_selection`
`roving_spheres`
`roving_sticks`
`save_pdb_ss`
`scene_animation`
`scene_animation_duration`
`scene_buttons`
`scene_buttons_mode`
`scene_current_name`
`scene_frame_mode`
`scene_loop`
`scene_restart_movie_delay`
`scenes_changed`
`sculpt_angl_weight`
`sculpt_auto_center`
`sculpt_avd_excl`
`sculpt_avd_gap`
`sculpt_avd_range`
`sculpt_avd_weight`
`sculpt_bond_weight`
`sculpt_field_mask`
`sculpt_hb_overlap`
`sculpt_hb_overlap_base`
`sculpt_line_weight`
`sculpt_max_max`
`sculpt_max_min`
`sculpt_max_scale`
`sculpt_max_weight`
`sculpt_memory`
`sculpt_min_max`
`sculpt_min_min`
`sculpt_min_scale`
`sculpt_min_weight`
`sculpt_nb_interval`
`sculpt_plan_weight`
`sculpt_pyra_inv_weight`
`sculpt_pyra_weight`
`sculpt_tors_tolerance`
`sculpt_tors_weight`
`sculpt_tri_max`
`sculpt_tri_min`
`sculpt_tri_mode`
`sculpt_tri_scale`
`sculpt_tri_weight`
`sculpt_vdw_scale`
`sculpt_vdw_scale14`
`sculpt_vdw_vis_max`
`sculpt_vdw_vis_mid`
`sculpt_vdw_vis_min`
`sculpt_vdw_vis_mode`
`sculpt_vdw_weight`
`sculpt_vdw_weight14`
`sculpting`
`sculpting_cycles`
`sdof_drag_scale`
`secondary_structure`
`security`
`sel_counter`
`selection_overlay`
`selection_round_points`
`selection_visible_only`
`selection_width`
`selection_width_max`
`selection_width_scale`
`seq_view`
`seq_view_alignment`
`seq_view_color`
`seq_view_discrete_by_state`
`seq_view_fill_char`
`seq_view_fill_color`
`seq_view_format`
`seq_view_label_color`
`seq_view_label_mode`
`seq_view_label_spacing`
`seq_view_label_start`
`seq_view_location`
`seq_view_overlay`
`seq_view_unaligned_color`
`seq_view_unaligned_mode`
`session_cache_optimize`
`session_changed`
`session_compression`
`session_file`
`session_migration`
`session_version_check`
`shader_path`
`shininess`
`show_alpha_checker`
`show_frame_rate`
`show_progress`
`simplify_display_lists`
`single_image`
`slice_dynamic_grid`
`slice_dynamic_grid_resolution`
`slice_grid`
`slice_height_map`
`slice_height_scale`
`slice_track_camera`
`slow_idle`
`smooth_color_triangle`
`smooth_half_bonds`
`solvent_radius`
`spec_count`
`spec_direct`
`spec_direct_power`
`spec_power`
`spec_reflect`
`specular`
`specular_intensity`
`sphere_color`
`sphere_mode`
`sphere_point_max_size`
`sphere_point_size`
`sphere_quality`
`sphere_scale`
`sphere_solvent`
`sphere_transparency`
`sphere_use_shader`
`spheroid_fill`
`spheroid_scale`
`spheroid_smooth`
`ss_helix_phi_exclude`
`ss_helix_phi_include`
`ss_helix_phi_target`
`ss_helix_psi_exclude`
`ss_helix_psi_include`
`ss_helix_psi_target`
`ss_strand_phi_exclude`
`ss_strand_phi_include`
`ss_strand_phi_target`
`ss_strand_psi_exclude`
`ss_strand_psi_include`
`ss_strand_psi_target`
`state`
`state_counter_mode`
`static_singletons`
`stereo`
`stereo_angle`
`stereo_double_pump_mono`
`stereo_dynamic_strength`
`stereo_mode`
`stereo_shift`
`stick_as_cylinders`
`stick_ball`
`stick_ball_color`
`stick_ball_ratio`
`stick_color`
`stick_debug`
`stick_fixed_radius`
`stick_good_geometry`
`stick_h_scale`
`stick_nub`
`stick_overlap`
`stick_quality`
`stick_radius`
`stick_round_nub`
`stick_transparency`
`stick_use_shader`
`stick_valence_scale`
`stop_on_exceptions`
`suppress_hidden`
`surface_best`
`surface_carve_cutoff`
`surface_carve_normal_cutoff`
`surface_carve_selection`
`surface_carve_state`
`surface_cavity_cutoff`
`surface_cavity_mode`
`surface_cavity_radius`
`surface_circumscribe`
`surface_clear_cutoff`
`surface_clear_selection`
`surface_clear_state`
`surface_color`
`surface_color_smoothing`
`surface_color_smoothing_threshold`
`surface_debug`
`surface_miserable`
`surface_mode`
`surface_negative_color`
`surface_negative_visible`
`surface_normal`
`surface_optimize_subsets`
`surface_poor`
`surface_proximity`
`surface_quality`
`surface_ramp_above_mode`
`surface_residue_cutoff`
`surface_solvent`
`surface_trim_cutoff`
`surface_trim_factor`
`surface_type`
`surface_use_shader`
`suspend_undo`
`suspend_undo_atom_count`
`suspend_updates`
`swap_dsn6_bytes`
`sweep_angle`
`sweep_mode`
`sweep_phase`
`sweep_speed`
`test1`
`test2`
`text`
`texture_fonts`
`trace_atoms_mode`
`transparency`
`transparency_global_sort`
`transparency_mode`
`transparency_picking_mode`
`triangle_max_passes`
`trim_dots`
`two_sided_lighting`
`unused_boolean_def_true`
`use_display_lists`
`use_shaders`
`valence`
`valence_mode`
`valence_size`
`validate_object_names`
`virtual_trackball`
`volume_bit_depth`
`volume_color`
`volume_data_range`
`volume_layers`
`wildcard`
`wizard_prompt_mode`
`wrap_output`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getName(int setting)`
`static PyMOLSettings`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PyMOLSettings[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### bonding_vdw_cutoff

public static final PyMOLSettings bonding_vdw_cutoff

### min_mesh_spacing

public static final PyMOLSettings min_mesh_spacing

### dot_density

public static final PyMOLSettings dot_density

### dot_mode

public static final PyMOLSettings dot_mode

### solvent_radius

public static final PyMOLSettings solvent_radius

### sel_counter

public static final PyMOLSettings sel_counter

### bg_rgb

public static final PyMOLSettings bg_rgb

### ambient

public static final PyMOLSettings ambient

### direct

public static final PyMOLSettings direct

### reflect

public static final PyMOLSettings reflect

### light

public static final PyMOLSettings light

### power

public static final PyMOLSettings power

### antialias

public static final PyMOLSettings antialias

### cavity_cull

public static final PyMOLSettings cavity_cull

### gl_ambient

public static final PyMOLSettings gl_ambient

### single_image

public static final PyMOLSettings single_image

### movie_delay

public static final PyMOLSettings movie_delay

### ribbon_power

public static final PyMOLSettings ribbon_power

### ribbon_power_b

public static final PyMOLSettings ribbon_power_b

### ribbon_sampling

public static final PyMOLSettings ribbon_sampling

### ribbon_radius

public static final PyMOLSettings ribbon_radius

### stick_radius

public static final PyMOLSettings stick_radius

### hash_max

public static final PyMOLSettings hash_max

### orthoscopic

public static final PyMOLSettings orthoscopic

### spec_reflect

public static final PyMOLSettings spec_reflect

### spec_power

public static final PyMOLSettings spec_power

### sweep_angle

public static final PyMOLSettings sweep_angle

### sweep_speed

public static final PyMOLSettings sweep_speed

### dot_hydrogens

public static final PyMOLSettings dot_hydrogens

### dot_radius

public static final PyMOLSettings dot_radius

### ray_trace_frames

public static final PyMOLSettings ray_trace_frames

### cache_frames

public static final PyMOLSettings cache_frames

### trim_dots

public static final PyMOLSettings trim_dots

### cull_spheres

public static final PyMOLSettings cull_spheres

### test1

public static final PyMOLSettings test1

### test2

public static final PyMOLSettings test2

### surface_best

public static final PyMOLSettings surface_best

### surface_normal

public static final PyMOLSettings surface_normal

### surface_quality

public static final PyMOLSettings surface_quality

### surface_proximity

public static final PyMOLSettings surface_proximity

### normal_workaround

public static final PyMOLSettings normal_workaround

### stereo_angle

public static final PyMOLSettings stereo_angle

### stereo_shift

public static final PyMOLSettings stereo_shift

### line_smooth

public static final PyMOLSettings line_smooth

### line_width

public static final PyMOLSettings line_width

### half_bonds

public static final PyMOLSettings half_bonds

### stick_quality

public static final PyMOLSettings stick_quality

### stick_overlap

public static final PyMOLSettings stick_overlap

### stick_nub

public static final PyMOLSettings stick_nub

### all_states

public static final PyMOLSettings all_states

### pickable

public static final PyMOLSettings pickable

### auto_show_lines

public static final PyMOLSettings auto_show_lines

### idle_delay

public static final PyMOLSettings idle_delay

### no_idle

public static final PyMOLSettings no_idle

### fast_idle

public static final PyMOLSettings fast_idle

### slow_idle

public static final PyMOLSettings slow_idle

### rock_delay

public static final PyMOLSettings rock_delay

### dist_counter

public static final PyMOLSettings dist_counter

### dash_length

public static final PyMOLSettings dash_length

### dash_gap

public static final PyMOLSettings dash_gap

### auto_zoom

public static final PyMOLSettings auto_zoom

### overlay

public static final PyMOLSettings overlay

### text

public static final PyMOLSettings text

### button_mode

public static final PyMOLSettings button_mode

### valence

public static final PyMOLSettings valence

### nonbonded_size

public static final PyMOLSettings nonbonded_size

### label_color

public static final PyMOLSettings label_color

### ray_trace_fog

public static final PyMOLSettings ray_trace_fog

### spheroid_scale

public static final PyMOLSettings spheroid_scale

### ray_trace_fog_start

public static final PyMOLSettings ray_trace_fog_start

### spheroid_smooth

public static final PyMOLSettings spheroid_smooth

### spheroid_fill

public static final PyMOLSettings spheroid_fill

### auto_show_nonbonded

public static final PyMOLSettings auto_show_nonbonded

### cache_display

public static final PyMOLSettings cache_display

### mesh_radius

public static final PyMOLSettings mesh_radius

### backface_cull

public static final PyMOLSettings backface_cull

### gamma

public static final PyMOLSettings gamma

### dot_width

public static final PyMOLSettings dot_width

### auto_show_selections

public static final PyMOLSettings auto_show_selections

### auto_hide_selections

public static final PyMOLSettings auto_hide_selections

### selection_width

public static final PyMOLSettings selection_width

### selection_overlay

public static final PyMOLSettings selection_overlay

### static_singletons

public static final PyMOLSettings static_singletons

### max_triangles

public static final PyMOLSettings max_triangles

### depth_cue

public static final PyMOLSettings depth_cue

### specular

public static final PyMOLSettings specular

### shininess

public static final PyMOLSettings shininess

### sphere_quality

public static final PyMOLSettings sphere_quality

### fog

public static final PyMOLSettings fog

### isomesh_auto_state

public static final PyMOLSettings isomesh_auto_state

### mesh_width

public static final PyMOLSettings mesh_width

### cartoon_sampling

public static final PyMOLSettings cartoon_sampling

### cartoon_loop_radius

public static final PyMOLSettings cartoon_loop_radius

### cartoon_loop_quality

public static final PyMOLSettings cartoon_loop_quality

### cartoon_power

public static final PyMOLSettings cartoon_power

### cartoon_power_b

public static final PyMOLSettings cartoon_power_b

### cartoon_rect_length

public static final PyMOLSettings cartoon_rect_length

### cartoon_rect_width

public static final PyMOLSettings cartoon_rect_width

### internal_gui_width

public static final PyMOLSettings internal_gui_width

### internal_gui

public static final PyMOLSettings internal_gui

### cartoon_oval_length

public static final PyMOLSettings cartoon_oval_length

### cartoon_oval_width

public static final PyMOLSettings cartoon_oval_width

### cartoon_oval_quality

public static final PyMOLSettings cartoon_oval_quality

### cartoon_tube_radius

public static final PyMOLSettings cartoon_tube_radius

### cartoon_tube_quality

public static final PyMOLSettings cartoon_tube_quality

### cartoon_debug

public static final PyMOLSettings cartoon_debug

### ribbon_width

public static final PyMOLSettings ribbon_width

### dash_width

public static final PyMOLSettings dash_width

### dash_radius

public static final PyMOLSettings dash_radius

### cgo_ray_width_scale

public static final PyMOLSettings cgo_ray_width_scale

### line_radius

public static final PyMOLSettings line_radius

### cartoon_round_helices

public static final PyMOLSettings cartoon_round_helices

### cartoon_refine_normals

public static final PyMOLSettings cartoon_refine_normals

### cartoon_flat_sheets

public static final PyMOLSettings cartoon_flat_sheets

### cartoon_smooth_loops

public static final PyMOLSettings cartoon_smooth_loops

### cartoon_dumbbell_length

public static final PyMOLSettings cartoon_dumbbell_length

### cartoon_dumbbell_width

public static final PyMOLSettings cartoon_dumbbell_width

### cartoon_dumbbell_radius

public static final PyMOLSettings cartoon_dumbbell_radius

### cartoon_fancy_helices

public static final PyMOLSettings cartoon_fancy_helices

### cartoon_fancy_sheets

public static final PyMOLSettings cartoon_fancy_sheets

### ignore_pdb_segi

public static final PyMOLSettings ignore_pdb_segi

### ribbon_throw

public static final PyMOLSettings ribbon_throw

### cartoon_throw

public static final PyMOLSettings cartoon_throw

### cartoon_refine

public static final PyMOLSettings cartoon_refine

### cartoon_refine_tips

public static final PyMOLSettings cartoon_refine_tips

### cartoon_discrete_colors

public static final PyMOLSettings cartoon_discrete_colors

### normalize_ccp4_maps

public static final PyMOLSettings normalize_ccp4_maps

### surface_poor

public static final PyMOLSettings surface_poor

### internal_feedback

public static final PyMOLSettings internal_feedback

### cgo_line_width

public static final PyMOLSettings cgo_line_width

### cgo_line_radius

public static final PyMOLSettings cgo_line_radius

### logging

public static final PyMOLSettings logging

### robust_logs

public static final PyMOLSettings robust_logs

### log_box_selections

public static final PyMOLSettings log_box_selections

### log_conformations

public static final PyMOLSettings log_conformations

### valence_size

public static final PyMOLSettings valence_size

### surface_miserable

public static final PyMOLSettings surface_miserable

### ray_opaque_background

public static final PyMOLSettings ray_opaque_background

### transparency

public static final PyMOLSettings transparency

### ray_texture

public static final PyMOLSettings ray_texture

### ray_texture_settings

public static final PyMOLSettings ray_texture_settings

### suspend_updates

public static final PyMOLSettings suspend_updates

### full_screen

public static final PyMOLSettings full_screen

### surface_mode

public static final PyMOLSettings surface_mode

### surface_color

public static final PyMOLSettings surface_color

### mesh_mode

public static final PyMOLSettings mesh_mode

### mesh_color

public static final PyMOLSettings mesh_color

### auto_indicate_flags

public static final PyMOLSettings auto_indicate_flags

### surface_debug

public static final PyMOLSettings surface_debug

### ray_improve_shadows

public static final PyMOLSettings ray_improve_shadows

### smooth_color_triangle

public static final PyMOLSettings smooth_color_triangle

### ray_default_renderer

public static final PyMOLSettings ray_default_renderer

### field_of_view

public static final PyMOLSettings field_of_view

### reflect_power

public static final PyMOLSettings reflect_power

### preserve_chempy_ids

public static final PyMOLSettings preserve_chempy_ids

### sphere_scale

public static final PyMOLSettings sphere_scale

### two_sided_lighting

public static final PyMOLSettings two_sided_lighting

### secondary_structure

public static final PyMOLSettings secondary_structure

### auto_remove_hydrogens

public static final PyMOLSettings auto_remove_hydrogens

### raise_exceptions

public static final PyMOLSettings raise_exceptions

### stop_on_exceptions

public static final PyMOLSettings stop_on_exceptions

### sculpting

public static final PyMOLSettings sculpting

### auto_sculpt

public static final PyMOLSettings auto_sculpt

### sculpt_vdw_scale

public static final PyMOLSettings sculpt_vdw_scale

### sculpt_vdw_scale14

public static final PyMOLSettings sculpt_vdw_scale14

### sculpt_vdw_weight

public static final PyMOLSettings sculpt_vdw_weight

### sculpt_vdw_weight14

public static final PyMOLSettings sculpt_vdw_weight14

### sculpt_bond_weight

public static final PyMOLSettings sculpt_bond_weight

### sculpt_angl_weight

public static final PyMOLSettings sculpt_angl_weight

### sculpt_pyra_weight

public static final PyMOLSettings sculpt_pyra_weight

### sculpt_plan_weight

public static final PyMOLSettings sculpt_plan_weight

### sculpting_cycles

public static final PyMOLSettings sculpting_cycles

### sphere_transparency

public static final PyMOLSettings sphere_transparency

### sphere_color

public static final PyMOLSettings sphere_color

### sculpt_field_mask

public static final PyMOLSettings sculpt_field_mask

### sculpt_hb_overlap

public static final PyMOLSettings sculpt_hb_overlap

### sculpt_hb_overlap_base

public static final PyMOLSettings sculpt_hb_overlap_base

### legacy_vdw_radii

public static final PyMOLSettings legacy_vdw_radii

### sculpt_memory

public static final PyMOLSettings sculpt_memory

### connect_mode

public static final PyMOLSettings connect_mode

### cartoon_cylindrical_helices

public static final PyMOLSettings cartoon_cylindrical_helices

### cartoon_helix_radius

public static final PyMOLSettings cartoon_helix_radius

### connect_cutoff

public static final PyMOLSettings connect_cutoff

### save_pdb_ss

public static final PyMOLSettings save_pdb_ss

### sculpt_line_weight

public static final PyMOLSettings sculpt_line_weight

### fit_iterations

public static final PyMOLSettings fit_iterations

### fit_tolerance

public static final PyMOLSettings fit_tolerance

### batch_prefix

public static final PyMOLSettings batch_prefix

### stereo_mode

public static final PyMOLSettings stereo_mode

### cgo_sphere_quality

public static final PyMOLSettings cgo_sphere_quality

### pdb_literal_names

public static final PyMOLSettings pdb_literal_names

### wrap_output

public static final PyMOLSettings wrap_output

### fog_start

public static final PyMOLSettings fog_start

### state

public static final PyMOLSettings state

### frame

public static final PyMOLSettings frame

### ray_shadows

public static final PyMOLSettings ray_shadows

### ribbon_trace_atoms

public static final PyMOLSettings ribbon_trace_atoms

### security

public static final PyMOLSettings security

### stick_transparency

public static final PyMOLSettings stick_transparency

### ray_transparency_shadows

public static final PyMOLSettings ray_transparency_shadows

### session_version_check

public static final PyMOLSettings session_version_check

### ray_transparency_specular

public static final PyMOLSettings ray_transparency_specular

### stereo_double_pump_mono

public static final PyMOLSettings stereo_double_pump_mono

### sphere_solvent

public static final PyMOLSettings sphere_solvent

### mesh_quality

public static final PyMOLSettings mesh_quality

### mesh_solvent

public static final PyMOLSettings mesh_solvent

### dot_solvent

public static final PyMOLSettings dot_solvent

### ray_shadow_fudge

public static final PyMOLSettings ray_shadow_fudge

### ray_triangle_fudge

public static final PyMOLSettings ray_triangle_fudge

### debug_pick

public static final PyMOLSettings debug_pick

### dot_color

public static final PyMOLSettings dot_color

### mouse_limit

public static final PyMOLSettings mouse_limit

### mouse_scale

public static final PyMOLSettings mouse_scale

### transparency_mode

public static final PyMOLSettings transparency_mode

### clamp_colors

public static final PyMOLSettings clamp_colors

### pymol_space_max_red

public static final PyMOLSettings pymol_space_max_red

### pymol_space_max_green

public static final PyMOLSettings pymol_space_max_green

### pymol_space_max_blue

public static final PyMOLSettings pymol_space_max_blue

### pymol_space_min_factor

public static final PyMOLSettings pymol_space_min_factor

### roving_origin

public static final PyMOLSettings roving_origin

### roving_lines

public static final PyMOLSettings roving_lines

### roving_sticks

public static final PyMOLSettings roving_sticks

### roving_spheres

public static final PyMOLSettings roving_spheres

### roving_labels

public static final PyMOLSettings roving_labels

### roving_delay

public static final PyMOLSettings roving_delay

### roving_selection

public static final PyMOLSettings roving_selection

### roving_byres

public static final PyMOLSettings roving_byres

### roving_ribbon

public static final PyMOLSettings roving_ribbon

### roving_cartoon

public static final PyMOLSettings roving_cartoon

### roving_polar_contacts

public static final PyMOLSettings roving_polar_contacts

### roving_polar_cutoff

public static final PyMOLSettings roving_polar_cutoff

### roving_nonbonded

public static final PyMOLSettings roving_nonbonded

### float_labels

public static final PyMOLSettings float_labels

### roving_detail

public static final PyMOLSettings roving_detail

### roving_nb_spheres

public static final PyMOLSettings roving_nb_spheres

### ribbon_color

public static final PyMOLSettings ribbon_color

### cartoon_color

public static final PyMOLSettings cartoon_color

### ribbon_smooth

public static final PyMOLSettings ribbon_smooth

### auto_color

public static final PyMOLSettings auto_color

### auto_color_next

public static final PyMOLSettings auto_color_next

### ray_interior_color

public static final PyMOLSettings ray_interior_color

### cartoon_highlight_color

public static final PyMOLSettings cartoon_highlight_color

### coulomb_units_factor

public static final PyMOLSettings coulomb_units_factor

### coulomb_dielectric

public static final PyMOLSettings coulomb_dielectric

### ray_interior_shadows

public static final PyMOLSettings ray_interior_shadows

### ray_interior_texture

public static final PyMOLSettings ray_interior_texture

### roving_map1_name

public static final PyMOLSettings roving_map1_name

### roving_map2_name

public static final PyMOLSettings roving_map2_name

### roving_map3_name

public static final PyMOLSettings roving_map3_name

### roving_map1_level

public static final PyMOLSettings roving_map1_level

### roving_map2_level

public static final PyMOLSettings roving_map2_level

### roving_map3_level

public static final PyMOLSettings roving_map3_level

### roving_isomesh

public static final PyMOLSettings roving_isomesh

### roving_isosurface

public static final PyMOLSettings roving_isosurface

### scenes_changed

public static final PyMOLSettings scenes_changed

### gaussian_b_adjust

public static final PyMOLSettings gaussian_b_adjust

### pdb_standard_order

public static final PyMOLSettings pdb_standard_order

### cartoon_smooth_first

public static final PyMOLSettings cartoon_smooth_first

### cartoon_smooth_last

public static final PyMOLSettings cartoon_smooth_last

### cartoon_smooth_cycles

public static final PyMOLSettings cartoon_smooth_cycles

### cartoon_flat_cycles

public static final PyMOLSettings cartoon_flat_cycles

### max_threads

public static final PyMOLSettings max_threads

### show_progress

public static final PyMOLSettings show_progress

### use_display_lists

public static final PyMOLSettings use_display_lists

### cache_memory

public static final PyMOLSettings cache_memory

### simplify_display_lists

public static final PyMOLSettings simplify_display_lists

### retain_order

public static final PyMOLSettings retain_order

### pdb_hetatm_sort

public static final PyMOLSettings pdb_hetatm_sort

### pdb_use_ter_records

public static final PyMOLSettings pdb_use_ter_records

### cartoon_trace_atoms

public static final PyMOLSettings cartoon_trace_atoms

### ray_oversample_cutoff

public static final PyMOLSettings ray_oversample_cutoff

### gaussian_resolution

public static final PyMOLSettings gaussian_resolution

### gaussian_b_floor

public static final PyMOLSettings gaussian_b_floor

### sculpt_nb_interval

public static final PyMOLSettings sculpt_nb_interval

### sculpt_tors_weight

public static final PyMOLSettings sculpt_tors_weight

### sculpt_tors_tolerance

public static final PyMOLSettings sculpt_tors_tolerance

### stick_ball

public static final PyMOLSettings stick_ball

### stick_ball_ratio

public static final PyMOLSettings stick_ball_ratio

### stick_fixed_radius

public static final PyMOLSettings stick_fixed_radius

### cartoon_transparency

public static final PyMOLSettings cartoon_transparency

### dash_round_ends

public static final PyMOLSettings dash_round_ends

### h_bond_max_angle

public static final PyMOLSettings h_bond_max_angle

### h_bond_cutoff_center

public static final PyMOLSettings h_bond_cutoff_center

### h_bond_cutoff_edge

public static final PyMOLSettings h_bond_cutoff_edge

### h_bond_power_a

public static final PyMOLSettings h_bond_power_a

### h_bond_power_b

public static final PyMOLSettings h_bond_power_b

### h_bond_cone

public static final PyMOLSettings h_bond_cone

### ss_helix_psi_target

public static final PyMOLSettings ss_helix_psi_target

### ss_helix_psi_include

public static final PyMOLSettings ss_helix_psi_include

### ss_helix_psi_exclude

public static final PyMOLSettings ss_helix_psi_exclude

### ss_helix_phi_target

public static final PyMOLSettings ss_helix_phi_target

### ss_helix_phi_include

public static final PyMOLSettings ss_helix_phi_include

### ss_helix_phi_exclude

public static final PyMOLSettings ss_helix_phi_exclude

### ss_strand_psi_target

public static final PyMOLSettings ss_strand_psi_target

### ss_strand_psi_include

public static final PyMOLSettings ss_strand_psi_include

### ss_strand_psi_exclude

public static final PyMOLSettings ss_strand_psi_exclude

### ss_strand_phi_target

public static final PyMOLSettings ss_strand_phi_target

### ss_strand_phi_include

public static final PyMOLSettings ss_strand_phi_include

### ss_strand_phi_exclude

public static final PyMOLSettings ss_strand_phi_exclude

### movie_loop

public static final PyMOLSettings movie_loop

### pdb_retain_ids

public static final PyMOLSettings pdb_retain_ids

### pdb_no_end_record

public static final PyMOLSettings pdb_no_end_record

### cgo_dot_width

public static final PyMOLSettings cgo_dot_width

### cgo_dot_radius

public static final PyMOLSettings cgo_dot_radius

### defer_updates

public static final PyMOLSettings defer_updates

### normalize_o_maps

public static final PyMOLSettings normalize_o_maps

### swap_dsn6_bytes

public static final PyMOLSettings swap_dsn6_bytes

### pdb_insertions_go_first

public static final PyMOLSettings pdb_insertions_go_first

### roving_origin_z

public static final PyMOLSettings roving_origin_z

### roving_origin_z_cushion

public static final PyMOLSettings roving_origin_z_cushion

### specular_intensity

public static final PyMOLSettings specular_intensity

### overlay_lines

public static final PyMOLSettings overlay_lines

### ray_transparency_spec_cut

public static final PyMOLSettings ray_transparency_spec_cut

### internal_prompt

public static final PyMOLSettings internal_prompt

### normalize_grd_maps

public static final PyMOLSettings normalize_grd_maps

### ray_blend_colors

public static final PyMOLSettings ray_blend_colors

### ray_blend_red

public static final PyMOLSettings ray_blend_red

### ray_blend_green

public static final PyMOLSettings ray_blend_green

### ray_blend_blue

public static final PyMOLSettings ray_blend_blue

### png_screen_gamma

public static final PyMOLSettings png_screen_gamma

### png_file_gamma

public static final PyMOLSettings png_file_gamma

### editor_label_fragments

public static final PyMOLSettings editor_label_fragments

### internal_gui_control_size

public static final PyMOLSettings internal_gui_control_size

### auto_dss

public static final PyMOLSettings auto_dss

### transparency_picking_mode

public static final PyMOLSettings transparency_picking_mode

### virtual_trackball

public static final PyMOLSettings virtual_trackball

### pdb_reformat_names_mode

public static final PyMOLSettings pdb_reformat_names_mode

### ray_pixel_scale

public static final PyMOLSettings ray_pixel_scale

### label_font_id

public static final PyMOLSettings label_font_id

### pdb_conect_all

public static final PyMOLSettings pdb_conect_all

### button_mode_name

public static final PyMOLSettings button_mode_name

### surface_type

public static final PyMOLSettings surface_type

### dot_normals

public static final PyMOLSettings dot_normals

### session_migration

public static final PyMOLSettings session_migration

### mesh_normals

public static final PyMOLSettings mesh_normals

### mesh_type

public static final PyMOLSettings mesh_type

### dot_lighting

public static final PyMOLSettings dot_lighting

### mesh_lighting

public static final PyMOLSettings mesh_lighting

### surface_solvent

public static final PyMOLSettings surface_solvent

### triangle_max_passes

public static final PyMOLSettings triangle_max_passes

### ray_interior_reflect

public static final PyMOLSettings ray_interior_reflect

### internal_gui_mode

public static final PyMOLSettings internal_gui_mode

### surface_carve_selection

public static final PyMOLSettings surface_carve_selection

### surface_carve_state

public static final PyMOLSettings surface_carve_state

### surface_carve_cutoff

public static final PyMOLSettings surface_carve_cutoff

### surface_clear_selection

public static final PyMOLSettings surface_clear_selection

### surface_clear_state

public static final PyMOLSettings surface_clear_state

### surface_clear_cutoff

public static final PyMOLSettings surface_clear_cutoff

### surface_trim_cutoff

public static final PyMOLSettings surface_trim_cutoff

### surface_trim_factor

public static final PyMOLSettings surface_trim_factor

### ray_max_passes

public static final PyMOLSettings ray_max_passes

### active_selections

public static final PyMOLSettings active_selections

### ray_transparency_contrast

public static final PyMOLSettings ray_transparency_contrast

### seq_view

public static final PyMOLSettings seq_view

### mouse_selection_mode

public static final PyMOLSettings mouse_selection_mode

### seq_view_label_spacing

public static final PyMOLSettings seq_view_label_spacing

### seq_view_label_start

public static final PyMOLSettings seq_view_label_start

### seq_view_format

public static final PyMOLSettings seq_view_format

### seq_view_location

public static final PyMOLSettings seq_view_location

### seq_view_overlay

public static final PyMOLSettings seq_view_overlay

### auto_classify_atoms

public static final PyMOLSettings auto_classify_atoms

### cartoon_nucleic_acid_mode

public static final PyMOLSettings cartoon_nucleic_acid_mode

### seq_view_color

public static final PyMOLSettings seq_view_color

### seq_view_label_mode

public static final PyMOLSettings seq_view_label_mode

### surface_ramp_above_mode

public static final PyMOLSettings surface_ramp_above_mode

### stereo

public static final PyMOLSettings stereo

### wizard_prompt_mode

public static final PyMOLSettings wizard_prompt_mode

### coulomb_cutoff

public static final PyMOLSettings coulomb_cutoff

### slice_track_camera

public static final PyMOLSettings slice_track_camera

### slice_height_scale

public static final PyMOLSettings slice_height_scale

### slice_height_map

public static final PyMOLSettings slice_height_map

### slice_grid

public static final PyMOLSettings slice_grid

### slice_dynamic_grid

public static final PyMOLSettings slice_dynamic_grid

### slice_dynamic_grid_resolution

public static final PyMOLSettings slice_dynamic_grid_resolution

### pdb_insure_orthogonal

public static final PyMOLSettings pdb_insure_orthogonal

### ray_direct_shade

public static final PyMOLSettings ray_direct_shade

### stick_color

public static final PyMOLSettings stick_color

### cartoon_putty_radius

public static final PyMOLSettings cartoon_putty_radius

### cartoon_putty_quality

public static final PyMOLSettings cartoon_putty_quality

### cartoon_putty_scale_min

public static final PyMOLSettings cartoon_putty_scale_min

### cartoon_putty_scale_max

public static final PyMOLSettings cartoon_putty_scale_max

### cartoon_putty_scale_power

public static final PyMOLSettings cartoon_putty_scale_power

### cartoon_putty_range

public static final PyMOLSettings cartoon_putty_range

### cartoon_side_chain_helper

public static final PyMOLSettings cartoon_side_chain_helper

### surface_optimize_subsets

public static final PyMOLSettings surface_optimize_subsets

### multiplex

public static final PyMOLSettings multiplex

### texture_fonts

public static final PyMOLSettings texture_fonts

### pqr_workarounds

public static final PyMOLSettings pqr_workarounds

### animation

public static final PyMOLSettings animation

### animation_duration

public static final PyMOLSettings animation_duration

### scene_animation

public static final PyMOLSettings scene_animation

### line_stick_helper

public static final PyMOLSettings line_stick_helper

### ray_orthoscopic

public static final PyMOLSettings ray_orthoscopic

### ribbon_side_chain_helper

public static final PyMOLSettings ribbon_side_chain_helper

### selection_width_max

public static final PyMOLSettings selection_width_max

### selection_width_scale

public static final PyMOLSettings selection_width_scale

### scene_current_name

public static final PyMOLSettings scene_current_name

### presentation

public static final PyMOLSettings presentation

### presentation_mode

public static final PyMOLSettings presentation_mode

### pdb_truncate_residue_name

public static final PyMOLSettings pdb_truncate_residue_name

### scene_loop

public static final PyMOLSettings scene_loop

### sweep_mode

public static final PyMOLSettings sweep_mode

### sweep_phase

public static final PyMOLSettings sweep_phase

### scene_restart_movie_delay

public static final PyMOLSettings scene_restart_movie_delay

### mouse_restart_movie_delay

public static final PyMOLSettings mouse_restart_movie_delay

### angle_size

public static final PyMOLSettings angle_size

### angle_label_position

public static final PyMOLSettings angle_label_position

### dihedral_size

public static final PyMOLSettings dihedral_size

### dihedral_label_position

public static final PyMOLSettings dihedral_label_position

### defer_builds_mode

public static final PyMOLSettings defer_builds_mode

### seq_view_discrete_by_state

public static final PyMOLSettings seq_view_discrete_by_state

### scene_animation_duration

public static final PyMOLSettings scene_animation_duration

### wildcard

public static final PyMOLSettings wildcard

### atom_name_wildcard

public static final PyMOLSettings atom_name_wildcard

### ignore_case

public static final PyMOLSettings ignore_case

### presentation_auto_quit

public static final PyMOLSettings presentation_auto_quit

### editor_auto_dihedral

public static final PyMOLSettings editor_auto_dihedral

### presentation_auto_start

public static final PyMOLSettings presentation_auto_start

### validate_object_names

public static final PyMOLSettings validate_object_names

### unused_boolean_def_true

public static final PyMOLSettings unused_boolean_def_true

### auto_show_spheres

public static final PyMOLSettings auto_show_spheres

### sphere_mode

public static final PyMOLSettings sphere_mode

### sphere_point_max_size

public static final PyMOLSettings sphere_point_max_size

### sphere_point_size

public static final PyMOLSettings sphere_point_size

### pdb_honor_model_number

public static final PyMOLSettings pdb_honor_model_number

### rank_assisted_sorts

public static final PyMOLSettings rank_assisted_sorts

### ribbon_nucleic_acid_mode

public static final PyMOLSettings ribbon_nucleic_acid_mode

### cartoon_ring_mode

public static final PyMOLSettings cartoon_ring_mode

### cartoon_ring_width

public static final PyMOLSettings cartoon_ring_width

### cartoon_ring_color

public static final PyMOLSettings cartoon_ring_color

### cartoon_ring_finder

public static final PyMOLSettings cartoon_ring_finder

### cartoon_tube_cap

public static final PyMOLSettings cartoon_tube_cap

### cartoon_loop_cap

public static final PyMOLSettings cartoon_loop_cap

### nvidia_bugs

public static final PyMOLSettings nvidia_bugs

### image_dots_per_inch

public static final PyMOLSettings image_dots_per_inch

### opaque_background

public static final PyMOLSettings opaque_background

### draw_frames

public static final PyMOLSettings draw_frames

### show_alpha_checker

public static final PyMOLSettings show_alpha_checker

### matrix_mode

public static final PyMOLSettings matrix_mode

### editor_auto_origin

public static final PyMOLSettings editor_auto_origin

### session_file

public static final PyMOLSettings session_file

### cgo_transparency

public static final PyMOLSettings cgo_transparency

### legacy_mouse_zoom

public static final PyMOLSettings legacy_mouse_zoom

### auto_number_selections

public static final PyMOLSettings auto_number_selections

### sculpt_vdw_vis_mode

public static final PyMOLSettings sculpt_vdw_vis_mode

### sculpt_vdw_vis_min

public static final PyMOLSettings sculpt_vdw_vis_min

### sculpt_vdw_vis_mid

public static final PyMOLSettings sculpt_vdw_vis_mid

### sculpt_vdw_vis_max

public static final PyMOLSettings sculpt_vdw_vis_max

### cartoon_ladder_mode

public static final PyMOLSettings cartoon_ladder_mode

### cartoon_ladder_radius

public static final PyMOLSettings cartoon_ladder_radius

### cartoon_ladder_color

public static final PyMOLSettings cartoon_ladder_color

### cartoon_nucleic_acid_color

public static final PyMOLSettings cartoon_nucleic_acid_color

### cartoon_ring_transparency

public static final PyMOLSettings cartoon_ring_transparency

### label_size

public static final PyMOLSettings label_size

### spec_direct

public static final PyMOLSettings spec_direct

### light_count

public static final PyMOLSettings light_count

### light2

public static final PyMOLSettings light2

### light3

public static final PyMOLSettings light3

### hide_underscore_names

public static final PyMOLSettings hide_underscore_names

### selection_round_points

public static final PyMOLSettings selection_round_points

### distance_exclusion

public static final PyMOLSettings distance_exclusion

### h_bond_exclusion

public static final PyMOLSettings h_bond_exclusion

### label_shadow_mode

public static final PyMOLSettings label_shadow_mode

### light4

public static final PyMOLSettings light4

### light5

public static final PyMOLSettings light5

### light6

public static final PyMOLSettings light6

### light7

public static final PyMOLSettings light7

### label_outline_color

public static final PyMOLSettings label_outline_color

### ray_trace_mode

public static final PyMOLSettings ray_trace_mode

### ray_trace_gain

public static final PyMOLSettings ray_trace_gain

### selection_visible_only

public static final PyMOLSettings selection_visible_only

### label_position

public static final PyMOLSettings label_position

### ray_trace_depth_factor

public static final PyMOLSettings ray_trace_depth_factor

### ray_trace_slope_factor

public static final PyMOLSettings ray_trace_slope_factor

### ray_trace_disco_factor

public static final PyMOLSettings ray_trace_disco_factor

### ray_shadow_decay_factor

public static final PyMOLSettings ray_shadow_decay_factor

### ray_interior_mode

public static final PyMOLSettings ray_interior_mode

### ray_legacy_lighting

public static final PyMOLSettings ray_legacy_lighting

### sculpt_auto_center

public static final PyMOLSettings sculpt_auto_center

### pdb_discrete_chains

public static final PyMOLSettings pdb_discrete_chains

### pdb_unbond_cations

public static final PyMOLSettings pdb_unbond_cations

### sculpt_tri_scale

public static final PyMOLSettings sculpt_tri_scale

### sculpt_tri_weight

public static final PyMOLSettings sculpt_tri_weight

### sculpt_tri_min

public static final PyMOLSettings sculpt_tri_min

### sculpt_tri_max

public static final PyMOLSettings sculpt_tri_max

### sculpt_tri_mode

public static final PyMOLSettings sculpt_tri_mode

### pdb_echo_tags

public static final PyMOLSettings pdb_echo_tags

### connect_bonded

public static final PyMOLSettings connect_bonded

### spec_direct_power

public static final PyMOLSettings spec_direct_power

### light8

public static final PyMOLSettings light8

### light9

public static final PyMOLSettings light9

### ray_shadow_decay_range

public static final PyMOLSettings ray_shadow_decay_range

### spec_count

public static final PyMOLSettings spec_count

### sculpt_min_scale

public static final PyMOLSettings sculpt_min_scale

### sculpt_min_weight

public static final PyMOLSettings sculpt_min_weight

### sculpt_min_min

public static final PyMOLSettings sculpt_min_min

### sculpt_min_max

public static final PyMOLSettings sculpt_min_max

### sculpt_max_scale

public static final PyMOLSettings sculpt_max_scale

### sculpt_max_weight

public static final PyMOLSettings sculpt_max_weight

### sculpt_max_min

public static final PyMOLSettings sculpt_max_min

### sculpt_max_max

public static final PyMOLSettings sculpt_max_max

### surface_circumscribe

public static final PyMOLSettings surface_circumscribe

### sculpt_avd_weight

public static final PyMOLSettings sculpt_avd_weight

### sculpt_avd_gap

public static final PyMOLSettings sculpt_avd_gap

### sculpt_avd_range

public static final PyMOLSettings sculpt_avd_range

### sculpt_avd_excl

public static final PyMOLSettings sculpt_avd_excl

### async_builds

public static final PyMOLSettings async_builds

### fetch_path

public static final PyMOLSettings fetch_path

### cartoon_ring_radius

public static final PyMOLSettings cartoon_ring_radius

### ray_color_ramps

public static final PyMOLSettings ray_color_ramps

### ray_hint_camera

public static final PyMOLSettings ray_hint_camera

### ray_hint_shadow

public static final PyMOLSettings ray_hint_shadow

### stick_valence_scale

public static final PyMOLSettings stick_valence_scale

### seq_view_alignment

public static final PyMOLSettings seq_view_alignment

### seq_view_unaligned_mode

public static final PyMOLSettings seq_view_unaligned_mode

### seq_view_unaligned_color

public static final PyMOLSettings seq_view_unaligned_color

### seq_view_fill_char

public static final PyMOLSettings seq_view_fill_char

### seq_view_fill_color

public static final PyMOLSettings seq_view_fill_color

### seq_view_label_color

public static final PyMOLSettings seq_view_label_color

### surface_carve_normal_cutoff

public static final PyMOLSettings surface_carve_normal_cutoff

### trace_atoms_mode

public static final PyMOLSettings trace_atoms_mode

### session_changed

public static final PyMOLSettings session_changed

### ray_clip_shadows

public static final PyMOLSettings ray_clip_shadows

### mouse_wheel_scale

public static final PyMOLSettings mouse_wheel_scale

### nonbonded_transparency

public static final PyMOLSettings nonbonded_transparency

### ray_spec_local

public static final PyMOLSettings ray_spec_local

### line_color

public static final PyMOLSettings line_color

### ray_label_specular

public static final PyMOLSettings ray_label_specular

### mesh_skip

public static final PyMOLSettings mesh_skip

### label_digits

public static final PyMOLSettings label_digits

### label_distance_digits

public static final PyMOLSettings label_distance_digits

### label_angle_digits

public static final PyMOLSettings label_angle_digits

### label_dihedral_digits

public static final PyMOLSettings label_dihedral_digits

### surface_negative_visible

public static final PyMOLSettings surface_negative_visible

### surface_negative_color

public static final PyMOLSettings surface_negative_color

### mesh_negative_visible

public static final PyMOLSettings mesh_negative_visible

### mesh_negative_color

public static final PyMOLSettings mesh_negative_color

### group_auto_mode

public static final PyMOLSettings group_auto_mode

### group_full_member_names

public static final PyMOLSettings group_full_member_names

### gradient_max_length

public static final PyMOLSettings gradient_max_length

### gradient_min_length

public static final PyMOLSettings gradient_min_length

### gradient_min_slope

public static final PyMOLSettings gradient_min_slope

### gradient_normal_min_dot

public static final PyMOLSettings gradient_normal_min_dot

### gradient_step_size

public static final PyMOLSettings gradient_step_size

### gradient_spacing

public static final PyMOLSettings gradient_spacing

### gradient_symmetry

public static final PyMOLSettings gradient_symmetry

### ray_trace_color

public static final PyMOLSettings ray_trace_color

### group_arrow_prefix

public static final PyMOLSettings group_arrow_prefix

### suppress_hidden

public static final PyMOLSettings suppress_hidden

### session_compression

public static final PyMOLSettings session_compression

### movie_fps

public static final PyMOLSettings movie_fps

### ray_transparency_oblique

public static final PyMOLSettings ray_transparency_oblique

### ray_trace_trans_cutoff

public static final PyMOLSettings ray_trace_trans_cutoff

### ray_trace_persist_cutoff

public static final PyMOLSettings ray_trace_persist_cutoff

### ray_transparency_oblique_power

public static final PyMOLSettings ray_transparency_oblique_power

### ray_scatter

public static final PyMOLSettings ray_scatter

### h_bond_from_proton

public static final PyMOLSettings h_bond_from_proton

### auto_copy_images

public static final PyMOLSettings auto_copy_images

### moe_separate_chains

public static final PyMOLSettings moe_separate_chains

### transparency_global_sort

public static final PyMOLSettings transparency_global_sort

### hide_long_bonds

public static final PyMOLSettings hide_long_bonds

### auto_rename_duplicate_objects

public static final PyMOLSettings auto_rename_duplicate_objects

### pdb_hetatm_guess_valences

public static final PyMOLSettings pdb_hetatm_guess_valences

### ellipsoid_quality

public static final PyMOLSettings ellipsoid_quality

### cgo_ellipsoid_quality

public static final PyMOLSettings cgo_ellipsoid_quality

### movie_animate_by_frame

public static final PyMOLSettings movie_animate_by_frame

### ramp_blend_nearby_colors

public static final PyMOLSettings ramp_blend_nearby_colors

### auto_defer_builds

public static final PyMOLSettings auto_defer_builds

### ellipsoid_probability

public static final PyMOLSettings ellipsoid_probability

### ellipsoid_scale

public static final PyMOLSettings ellipsoid_scale

### ellipsoid_color

public static final PyMOLSettings ellipsoid_color

### ellipsoid_transparency

public static final PyMOLSettings ellipsoid_transparency

### movie_rock

public static final PyMOLSettings movie_rock

### cache_mode

public static final PyMOLSettings cache_mode

### dash_color

public static final PyMOLSettings dash_color

### angle_color

public static final PyMOLSettings angle_color

### dihedral_color

public static final PyMOLSettings dihedral_color

### grid_mode

public static final PyMOLSettings grid_mode

### cache_max

public static final PyMOLSettings cache_max

### grid_slot

public static final PyMOLSettings grid_slot

### grid_max

public static final PyMOLSettings grid_max

### cartoon_putty_transform

public static final PyMOLSettings cartoon_putty_transform

### rock

public static final PyMOLSettings rock

### cone_quality

public static final PyMOLSettings cone_quality

### pdb_formal_charges

public static final PyMOLSettings pdb_formal_charges

### ati_bugs

public static final PyMOLSettings ati_bugs

### geometry_export_mode

public static final PyMOLSettings geometry_export_mode

### mouse_grid

public static final PyMOLSettings mouse_grid

### mesh_cutoff

public static final PyMOLSettings mesh_cutoff

### mesh_carve_selection

public static final PyMOLSettings mesh_carve_selection

### mesh_carve_state

public static final PyMOLSettings mesh_carve_state

### mesh_carve_cutoff

public static final PyMOLSettings mesh_carve_cutoff

### mesh_clear_selection

public static final PyMOLSettings mesh_clear_selection

### mesh_clear_state

public static final PyMOLSettings mesh_clear_state

### mesh_clear_cutoff

public static final PyMOLSettings mesh_clear_cutoff

### mesh_grid_max

public static final PyMOLSettings mesh_grid_max

### session_cache_optimize

public static final PyMOLSettings session_cache_optimize

### sdof_drag_scale

public static final PyMOLSettings sdof_drag_scale

### scene_buttons_mode

public static final PyMOLSettings scene_buttons_mode

### scene_buttons

public static final PyMOLSettings scene_buttons

### map_auto_expand_sym

public static final PyMOLSettings map_auto_expand_sym

### image_copy_always

public static final PyMOLSettings image_copy_always

### max_ups

public static final PyMOLSettings max_ups

### auto_overlay

public static final PyMOLSettings auto_overlay

### stick_ball_color

public static final PyMOLSettings stick_ball_color

### stick_h_scale

public static final PyMOLSettings stick_h_scale

### sculpt_pyra_inv_weight

public static final PyMOLSettings sculpt_pyra_inv_weight

### keep_alive

public static final PyMOLSettings keep_alive

### fit_kabsch

public static final PyMOLSettings fit_kabsch

### stereo_dynamic_strength

public static final PyMOLSettings stereo_dynamic_strength

### dynamic_width

public static final PyMOLSettings dynamic_width

### dynamic_width_factor

public static final PyMOLSettings dynamic_width_factor

### dynamic_width_min

public static final PyMOLSettings dynamic_width_min

### dynamic_width_max

public static final PyMOLSettings dynamic_width_max

### draw_mode

public static final PyMOLSettings draw_mode

### clean_electro_mode

public static final PyMOLSettings clean_electro_mode

### valence_mode

public static final PyMOLSettings valence_mode

### show_frame_rate

public static final PyMOLSettings show_frame_rate

### movie_panel

public static final PyMOLSettings movie_panel

### mouse_z_scale

public static final PyMOLSettings mouse_z_scale

### movie_auto_store

public static final PyMOLSettings movie_auto_store

### movie_auto_interpolate

public static final PyMOLSettings movie_auto_interpolate

### movie_panel_row_height

public static final PyMOLSettings movie_panel_row_height

### scene_frame_mode

public static final PyMOLSettings scene_frame_mode

### surface_cavity_mode

public static final PyMOLSettings surface_cavity_mode

### surface_cavity_radius

public static final PyMOLSettings surface_cavity_radius

### surface_cavity_cutoff

public static final PyMOLSettings surface_cavity_cutoff

### motion_power

public static final PyMOLSettings motion_power

### motion_bias

public static final PyMOLSettings motion_bias

### motion_simple

public static final PyMOLSettings motion_simple

### motion_linear

public static final PyMOLSettings motion_linear

### motion_hand

public static final PyMOLSettings motion_hand

### pdb_ignore_conect

public static final PyMOLSettings pdb_ignore_conect

### editor_bond_cycle_mode

public static final PyMOLSettings editor_bond_cycle_mode

### movie_quality

public static final PyMOLSettings movie_quality

### label_anchor

public static final PyMOLSettings label_anchor

### fetch_host

public static final PyMOLSettings fetch_host

### dynamic_measures

public static final PyMOLSettings dynamic_measures

### neighbor_cutoff

public static final PyMOLSettings neighbor_cutoff

### heavy_neighbor_cutoff

public static final PyMOLSettings heavy_neighbor_cutoff

### polar_neighbor_cutoff

public static final PyMOLSettings polar_neighbor_cutoff

### surface_residue_cutoff

public static final PyMOLSettings surface_residue_cutoff

### surface_use_shader

public static final PyMOLSettings surface_use_shader

### cartoon_use_shader

public static final PyMOLSettings cartoon_use_shader

### stick_use_shader

public static final PyMOLSettings stick_use_shader

### line_use_shader

public static final PyMOLSettings line_use_shader

### sphere_use_shader

public static final PyMOLSettings sphere_use_shader

### use_shaders

public static final PyMOLSettings use_shaders

### shader_path

public static final PyMOLSettings shader_path

### volume_bit_depth

public static final PyMOLSettings volume_bit_depth

### volume_color

public static final PyMOLSettings volume_color

### volume_layers

public static final PyMOLSettings volume_layers

### volume_data_range

public static final PyMOLSettings volume_data_range

### auto_defer_atom_count

public static final PyMOLSettings auto_defer_atom_count

### default_refmac_names

public static final PyMOLSettings default_refmac_names

### default_phenix_names

public static final PyMOLSettings default_phenix_names

### default_phenix_no_fill_names

public static final PyMOLSettings default_phenix_no_fill_names

### default_buster_names

public static final PyMOLSettings default_buster_names

### default_fofc_map_rep

public static final PyMOLSettings default_fofc_map_rep

### default_2fofc_map_rep

public static final PyMOLSettings default_2fofc_map_rep

### atom_type_format

public static final PyMOLSettings atom_type_format

### autoclose_dialogs

public static final PyMOLSettings autoclose_dialogs

### bg_gradient

public static final PyMOLSettings bg_gradient

### bg_rgb_top

public static final PyMOLSettings bg_rgb_top

### bg_rgb_bottom

public static final PyMOLSettings bg_rgb_bottom

### ray_volume

public static final PyMOLSettings ray_volume

### ribbon_transparency

public static final PyMOLSettings ribbon_transparency

### state_counter_mode

public static final PyMOLSettings state_counter_mode

### cgo_use_shader

public static final PyMOLSettings cgo_use_shader

### cgo_shader_ub_color

public static final PyMOLSettings cgo_shader_ub_color

### cgo_shader_ub_normal

public static final PyMOLSettings cgo_shader_ub_normal

### cgo_lighting

public static final PyMOLSettings cgo_lighting

### mesh_use_shader

public static final PyMOLSettings mesh_use_shader

### stick_debug

public static final PyMOLSettings stick_debug

### cgo_debug

public static final PyMOLSettings cgo_debug

### stick_round_nub

public static final PyMOLSettings stick_round_nub

### stick_good_geometry

public static final PyMOLSettings stick_good_geometry

### stick_as_cylinders

public static final PyMOLSettings stick_as_cylinders

### mesh_as_cylinders

public static final PyMOLSettings mesh_as_cylinders

### line_as_cylinders

public static final PyMOLSettings line_as_cylinders

### ribbon_as_cylinders

public static final PyMOLSettings ribbon_as_cylinders

### ribbon_use_shader

public static final PyMOLSettings ribbon_use_shader

### excl_display_lists_shaders

public static final PyMOLSettings excl_display_lists_shaders

### dash_use_shader

public static final PyMOLSettings dash_use_shader

### dash_as_cylinders

public static final PyMOLSettings dash_as_cylinders

### nonbonded_use_shader

public static final PyMOLSettings nonbonded_use_shader

### nonbonded_as_cylinders

public static final PyMOLSettings nonbonded_as_cylinders

### cylinders_shader_filter_faces

public static final PyMOLSettings cylinders_shader_filter_faces

### nb_spheres_size

public static final PyMOLSettings nb_spheres_size

### nb_spheres_quality

public static final PyMOLSettings nb_spheres_quality

### nb_spheres_use_shader

public static final PyMOLSettings nb_spheres_use_shader

### render_as_cylinders

public static final PyMOLSettings render_as_cylinders

### alignment_as_cylinders

public static final PyMOLSettings alignment_as_cylinders

### cartoon_nucleic_acid_as_cylinders

public static final PyMOLSettings cartoon_nucleic_acid_as_cylinders

### cgo_shader_ub_flags

public static final PyMOLSettings cgo_shader_ub_flags

### offscreen_rendering_for_antialiasing

public static final PyMOLSettings offscreen_rendering_for_antialiasing

### offscreen_rendering_multiplier

public static final PyMOLSettings offscreen_rendering_multiplier

### cylinder_shader_ff_workaround

public static final PyMOLSettings cylinder_shader_ff_workaround

### surface_color_smoothing

public static final PyMOLSettings surface_color_smoothing

### surface_color_smoothing_threshold

public static final PyMOLSettings surface_color_smoothing_threshold

### dot_use_shader

public static final PyMOLSettings dot_use_shader

### dot_as_spheres

public static final PyMOLSettings dot_as_spheres

### ambient_occlusion_mode

public static final PyMOLSettings ambient_occlusion_mode

### ambient_occlusion_scale

public static final PyMOLSettings ambient_occlusion_scale

### ambient_occlusion_smooth

public static final PyMOLSettings ambient_occlusion_smooth

### smooth_half_bonds

public static final PyMOLSettings smooth_half_bonds

### anaglyph_mode

public static final PyMOLSettings anaglyph_mode

### edit_light

public static final PyMOLSettings edit_light

### suspend_undo

public static final PyMOLSettings suspend_undo

### suspend_undo_atom_count

public static final PyMOLSettings suspend_undo_atom_count

### bg_image_filename

public static final PyMOLSettings bg_image_filename

### bg_image_mode

public static final PyMOLSettings bg_image_mode

### bg_image_tilesize

public static final PyMOLSettings bg_image_tilesize

### bg_image_linear

public static final PyMOLSettings bg_image_linear

### label_placement_offset

public static final PyMOLSettings label_placement_offset

### dump_binary

public static final PyMOLSettings dump_binary

## Method Details

### values

public static PyMOLSettings[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PyMOLSettings valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getName

public static String getName(int setting)